Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist
Class CannotCompileException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javassist.CannotCompileException

All Implemented Interfaces:
  java.io.Serializable

public class CannotCompileException
extends java.lang.Exception

Thrown when bytecode transformation has failed.

See Also:
  Serialized Form

Constructor Summary
`CannotCompileException(java.lang.ClassFormatError e, java.lang.String name)` Constructs a CannotCompileException with a ClassFormatError.
`CannotCompileException(java.lang.ClassNotFoundException e, java.lang.String name)` Constructs a CannotCompileException with a `ClassNotFoundException`.
`CannotCompileException(javassist.compiler.CompileError e)` Constructs a CannotCompileException with an `CompileError`.
`CannotCompileException(java.lang.Exception e)` Constructs a CannotCompileException with an `Exception`.
`CannotCompileException(NotFoundException e)` Constructs a CannotCompileException with a `NotFoundException`.
`CannotCompileException(java.lang.String msg)` Constructs a CannotCompileException with a message.

Method Summary
`java.lang.String` | `getReason()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotCompileException

    public CannotCompileException(java.lang.String msg)

  Constructs a CannotCompileException with a message.

### CannotCompileException

    public CannotCompileException(java.lang.Exception e)

  Constructs a CannotCompileException with an `Exception`.

### CannotCompileException

    public CannotCompileException(NotFoundException e)

  Constructs a CannotCompileException with a `NotFoundException`.

### CannotCompileException

    public CannotCompileException(javassist.compiler.CompileError e)

  Constructs a CannotCompileException with an `CompileError`.

### CannotCompileException

    public CannotCompileException(java.lang.ClassNotFoundException e,
                                  java.lang.String name)

  Constructs a CannotCompileException with a `ClassNotFoundException`.

### CannotCompileException

    public CannotCompileException(java.lang.ClassFormatError e,
                                  java.lang.String name)

  Constructs a CannotCompileException with a ClassFormatError.

Method Detail

### getReason

    public java.lang.String getReason()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.